import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (l, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, o) : r, i = l.length - 1, p; i >= 0; i--)
    (p = l[i]) && (e = (t ? p(r, o, e) : p(e)) || e);
  return t && e && g(r, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--userLarge", this.class = "c-pieIcon c-pieIcon--userLarge", this.name = "IconUserLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--userLarge"><path d="M23.823 22.501a6.01 6.01 0 0 0-5.723-3.876H13.91a6.03 6.03 0 0 0-5.731 3.894l-1.182 3.316h1.83l.98-2.756a4.3 4.3 0 0 1 4.103-2.704H18.1a4.305 4.305 0 0 1 4.104 2.747l.971 2.757h1.838z"></path><path d="M14.994 16.656a4.437 4.437 0 0 0 5.32-5.329 4.426 4.426 0 0 0-7.442-2.11 4.428 4.428 0 0 0 2.122 7.44m.481-7a2.704 2.704 0 1 1-2.1 2.153 2.7 2.7 0 0 1 2.1-2.118z"></path></svg>`;
  }
};
a([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
a([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = a([
  f("icon-user-large")
], s);
export {
  s as IconUserLarge
};
